/[gentoo-x86]/sys-devel/gcc/gcc-3.4.6-r2.ebuild
Gentoo

Contents of /sys-devel/gcc/gcc-3.4.6-r2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.30 - (show annotations) (download)
Sun Dec 4 23:00:46 2011 UTC (3 years, 7 months ago) by vapier
Branch: MAIN
Changes since 1.29: +1 -2 lines
Drop dead MAN_VER code.

(Portage version: 2.2.0_alpha75/cvs/Linux x86_64)

1 # Copyright 1999-2011 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-3.4.6-r2.ebuild,v 1.29 2011/12/02 23:43:54 vapier Exp $
4
5 PATCH_VER="1.6"
6 UCLIBC_VER="1.1"
7 UCLIBC_GCC_VER="3.4.5"
8 PIE_VER="8.7.10"
9 PIE_GCC_VER="3.4.6"
10 PP_VER="1.0"
11 PP_GCC_VER="3.4.6"
12 HTB_VER="1.00.1"
13 HTB_GCC_VER="3.4.4"
14 D_VER="0.24"
15
16 inherit toolchain eutils
17
18 DESCRIPTION="The GNU Compiler Collection"
19
20 KEYWORDS="-* alpha amd64 arm ~ia64 ~mips ppc ppc64 ~s390 sh sparc x86 ~x86-fbsd"
21 IUSE="ip28 ip32r10k n32 n64"
22
23 # we need a proper glibc version for the Scrt1.o provided to the pie-ssp specs
24 # NOTE: we SHOULD be using at least binutils 2.15.90.0.1 everywhere for proper
25 # .eh_frame ld optimisation and symbol visibility support, but it hasnt been
26 # well tested in gentoo on any arch other than amd64!!
27 RDEPEND=""
28 DEPEND="${RDEPEND}
29 >=sys-devel/binutils-2.14.90.0.8-r1
30 amd64? ( >=sys-devel/binutils-2.15.90.0.1.1-r1 )"
31
32 src_unpack() {
33 toolchain_src_unpack
34
35 # misc patches that havent made it into a patch tarball yet
36 [[ ${CHOST} == ${CTARGET} ]] && epatch "${FILESDIR}"/gcc-spec-env.patch
37
38 # nothing in the tree provides libssp.so, so nothing will ever trigger this
39 # logic, but having the patch in the tree makes life so much easier for me
40 # since I dont have to also have an overlay for this.
41 want_libssp && epatch "${FILESDIR}"/3.4.3/libssp.patch
42
43 # Anything useful and objc will require libffi. Seriously. Lets just force
44 # libffi to install with USE="objc", even though it normally only installs
45 # if you attempt to build gcj.
46 if ! use build && use objc && ! use gcj ; then
47 epatch "${FILESDIR}"/3.4.3/libffi-without-libgcj.patch
48 #epatch ${FILESDIR}/3.4.3/libffi-nogcj-lib-path-fix.patch
49 fi
50
51 # Fix cross-compiling
52 epatch "${FILESDIR}"/3.4.4/gcc-3.4.4-cross-compile.patch
53
54 [[ ${CTARGET} == *-softfloat-* ]] && epatch "${FILESDIR}"/3.4.4/gcc-3.4.4-softfloat.patch
55
56 # Arch stuff
57 case $(tc-arch) in
58 mips)
59 # If mips, and we DON'T want multilib, then rig gcc to only use n32 OR n64
60 if ! is_multilib; then
61 use n32 && epatch "${FILESDIR}"/3.4.1/gcc-3.4.1-mips-n32only.patch
62 use n64 && epatch "${FILESDIR}"/3.4.1/gcc-3.4.1-mips-n64only.patch
63 fi
64
65 # Patch forward-ported from a gcc-3.0.x patch that adds -march=r10000 and
66 # -mtune=r10000 support to gcc (Allows the compiler to generate code to
67 # take advantage of R10k's second ALU, perform shifts, etc..
68 #
69 # Needs re-porting to DFA in gcc-4.0 - Any Volunteers? :)
70 epatch "${FILESDIR}"/3.4.2/gcc-3.4.x-mips-add-march-r10k.patch
71
72 # This is a very special patch -- it allows us to build semi-usable kernels
73 # on SGI IP28 (Indigo2 Impact R10000) systems. The patch is henceforth
74 # regarded as a kludge by upstream, and thus, it will never get accepted upstream,
75 # but for our purposes of building a kernel, it works.
76 # Unless you're building an IP28 kernel, you really don't need care about what
77 # this patch does, because if you are, you are probably already aware of what
78 # it does.
79 # All that said, the abilities of this patch are disabled by default and need
80 # to be enabled by passing -mip28-cache-barrier. Only used to build kernels,
81 # There is the possibility it may be used for very specific userland apps too.
82 if use ip28 || use ip32r10k; then
83 epatch "${FILESDIR}"/3.4.2/gcc-3.4.2-mips-ip28_cache_barriers-v4.patch
84 fi
85 ;;
86 amd64)
87 if is_multilib ; then
88 sed -i -e '/GLIBCXX_IS_NATIVE=/s:false:true:' libstdc++-v3/configure || die
89 fi
90 ;;
91 esac
92 }

  ViewVC Help
Powered by ViewVC 1.1.20